Skip to content
On this page

Get NIRA Identity Retrieval Details ​

Retrieve the results of a previously submitted identity verification request to retrieve National ID identity information. Poll this endpoint until requestStatus is Completed or Failed.

Polling Recommendation

Poll every 2–5 seconds. Do not poll more frequently than once per second.

Endpoints ​

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/idv/api/identities/{id}?v=2.0
Productionhttps://api.streamline.laboremus.ug/idv/api/identities/{id}?v=2.0

Sandbox testing

See the Sandbox Context page for NIN formats and whitelisted test values.

Request ​

Request Type: GET ​

Authorization ​

Follow steps in the Authorization section to obtain an access token

Path Parameters ​

NameTypeRequiredDescription
idstringYesThe unique identifier returned in the 202 response from the Submit endpoint

Example Request ​

bash
curl --request GET \
  --url 'https://api.streamline.laboremus.ug/idv/api/identities/019a0100-146a-7237-a47f-8ae09dbabed6?v=2.0' \
  --header 'Authorization: Bearer <access_token>'
curl --request GET \
  --url 'https://api.streamline.laboremus.ug/idv/api/identities/019a0100-146a-7237-a47f-8ae09dbabed6?v=2.0' \
  --header 'Authorization: Bearer <access_token>'

Response ​

A successful request returns a 200 OK with the identity retrieval results.

Response Fields ​

NameTypeDescription
idstringUnique identifier for this request
externalReferencestring or nullYour reference ID if provided when creating the request
ninstring or nullThe customer National Identity Number
resultobjectThe identity retrieval result details (see below)
initiatorstring or nullName of the user who initiated the request
initiatorIdstringUnique identifier of the initiating user
receivedAtstringISO 8601 timestamp when the request was received
completedAtstringISO 8601 timestamp when processing completed
requestStatusstringProcessing status: Pending, Completed, or Failed

Result Object ​

NameTypeDescription
surnamebooleantrue if faces match, false otherwise
givenNamesnumberRaw similarity score (0 to 1)
dateOfBirthstringSimilarity score as a percentage
livingStatusstringStatus of the individual (Alive/Deceased)
genderstringSex of the individual (Male/Female)
isErrorboolean or nulltrue if an error occurred during processing
errorMessagestring or nullError details if processing failed

Example Response ​

Content-Type

application/json

json
{
  "id": "019a0100-146a-7237-a47f-8ae09dbabed6",
  "externalReference": null,
  "result": {
    "surname": "Tipiyai",
    "givenNames": "Johnson",
    "dateOfBirth": "1993-01-01",
    "livingStatus": "alive",
    "gender": "Female",
    "isError": null,
    "errorMessage": null
  },
  "nin": "CM930121003EGE",
  "initiator": null,
  "initiatorId": "67391f12-f75e-419b-8232-f8ea178c93b5",
  "receivedAt": "2025-10-20T09:42:53.728838",
  "completedAt": "2025-10-20T09:43:32.797186",
  "requestStatus": "Completed"
}
{
  "id": "019a0100-146a-7237-a47f-8ae09dbabed6",
  "externalReference": null,
  "result": {
    "surname": "Tipiyai",
    "givenNames": "Johnson",
    "dateOfBirth": "1993-01-01",
    "livingStatus": "alive",
    "gender": "Female",
    "isError": null,
    "errorMessage": null
  },
  "nin": "CM930121003EGE",
  "initiator": null,
  "initiatorId": "67391f12-f75e-419b-8232-f8ea178c93b5",
  "receivedAt": "2025-10-20T09:42:53.728838",
  "completedAt": "2025-10-20T09:43:32.797186",
  "requestStatus": "Completed"
}

Error Response ​

400 The request data is invalid

application/json

NameTypeDescription
typestring or nullType of error response
titlestring or nullThe title of the error response
statusinteger(int32)The status of the error response
traceIdstring or nullThe traceId of the error request producing the error
errorsobjectObject defining the errors

errors ​

NameTypeDescription
propertyArray of stringsThe definition of the errors

401 Not authorized to access the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

403 Refuse to authorize access to the endpoint

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

404 Request does not exist

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

500 The server encountered an unexpected error

application/json

NameTypeDescription
errorobject(Error)Type of error response

Error ​

NameTypeDescription
codestring or nullThe Error code
messagestring or nullThe Error message

Tech Served Right